"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasNamedImport = void 0;
const types_1 = require("@babel/types");
/*
 * Finds if an import declaration has an imported value
 */
function hasNamedImport(path, variable, source) {
    if (path.node.source.value === source) {
        return path.node.specifiers.some((specifier) => {
            if (!(0, types_1.isImportSpecifier)(specifier)) {
                return;
            }
            return (0, types_1.isStringLiteral)(specifier.imported)
                ? specifier.imported.value === variable
                : specifier.local.name === variable;
        });
    }
    return false;
}
exports.hasNamedImport = hasNamedImport;
