import type { Visitor } from "@babel/traverse";
import { TailwindConfig } from "tailwindcss/tailwind-config";
import { AllowPathOptions, State, TailwindcssReactNativeBabelOptions } from "./types";
export interface VisitorState extends State, Required<TailwindcssReactNativeBabelOptions> {
    cwd: string;
    allowRelativeModules: AllowPathOptions;
    blockList: Set<string>;
    hasStyledComponentImport: boolean;
    hasProvider: boolean;
    hasStyleSheetImport: boolean;
    tailwindConfig: TailwindConfig;
    tailwindConfigPath: string;
    canCompile: boolean;
    canTransform: boolean;
    didTransform: boolean;
}
/**
 * Visitor that detects what
 * - components should be transformed
 * - what imports exist
 */
export declare const visitor: Visitor<VisitorState>;
