"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractStyles = void 0;
const postcss_1 = __importDefault(require("postcss"));
const tailwindcss_1 = __importDefault(require("tailwindcss"));
const postcss_2 = __importDefault(require("../postcss"));
function extractStyles({ serializer, ...tailwindConfig }, cssInput = "@tailwind components;@tailwind utilities;") {
    let styles = {};
    let errors = [];
    const plugins = [
        (0, tailwindcss_1.default)(tailwindConfig),
        (0, postcss_2.default)({
            ...tailwindConfig,
            done: (output) => {
                styles = output.styles;
                errors = output.errors;
            },
        }),
    ];
    (0, postcss_1.default)(plugins).process(cssInput).css;
    return {
        output: serializer(styles),
        errors,
    };
}
exports.extractStyles = extractStyles;
