"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withClassNames = void 0;
const isComponentRegex = /(?:^|\s)(component)(?:$|\s)/gi;
const isParentRegex = /(?:^|\s)(parent)(?:$|\s)/gi;
function withClassNames({ baseClassName, className, baseTw, twClassName, componentProps, propsToTransform = [], spreadProps = [], classProps = [], }) {
    var _a, _b;
    const classes = [
        (_a = baseTw !== null && baseTw !== void 0 ? baseTw : baseClassName) !== null && _a !== void 0 ? _a : "",
        (_b = twClassName !== null && twClassName !== void 0 ? twClassName : className) !== null && _b !== void 0 ? _b : "",
    ].join(" ");
    const isComponent = isComponentRegex.test(classes);
    const isParent = isParentRegex.test(classes);
    const allClasses = [];
    for (const prop of [...propsToTransform, ...spreadProps, ...classProps]) {
        if (typeof componentProps[prop] === "string") {
            allClasses.push(componentProps[prop]);
        }
    }
    return {
        classes,
        allClasses: allClasses.join(" "),
        isComponent,
        isParent,
    };
}
exports.withClassNames = withClassNames;
